% Dictionary learning functions
%
% cmod          -- Constrained Method of Optimal Directions (MOD)
% bpdndl        -- BPDN Dictionary Learning
%
% Convolutional dictionary learning functions (batch learning)
%
% ccmod         -- Convolutional Constrained MOD
% cbpdndl       -- Convolutional BPDN Dictionary Learning
% cbpdndlcns    -- Convolutional BPDN Dictionary Learning (ADMM Consensus)
% cbpdndlmd     -- Convolutional BPDN Dictionary Learning with Mask Decoupling
% cbpdndlms     -- Convolutional BPDN Dictionary Learning with Mask Simulation
%
% Convolutional dictionary learning functions (online learning)
%
% olcdl_surfnc  -- Online CDL via the surrogate function method
% olcdl_sgd     -- Online CDL via stochastic gradient descent
% olcdl_sgd_msk -- Online CDL via stochastic gradient descent, with
%                  data fidelity term mask
%
% Support functions
%
% solvemdbi_cg      -- Solve a multiple diagonal block linear system via CG
% solvemdbi_ism     -- Solve a multiple diagonal block linear system via
%                      iterated Sherman-Morrison
